Debian Bug report logs - #506717
ncurses should check the value returned by Gpm_GetEvent()

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Gerfried Fuchs <rhonda@debian.at>

Date: Fri, 14 Mar 2008 09:48:04 UTC

Severity: serious

Tags: patch

Fixed in versions ncurses/5.6+20080830-2, ncurses/5.7+20081122-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
New Bug report received and forwarded. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gpm freezes and makes other applications freeze/segfault
Date: Fri, 14 Mar 2008 10:45:35 +0100
Package: gpm
Version: 1.20.3~pre3-3
Severity: grave
Justification: renders package unusable

        Hi!

 Since yesterdays update of gpm in testing from 1.19.6-25 to
1.20.3~pre3-3 gpm regulary froze on me, making at least w3m, aptitude
and pdmenu freeze or even segfault - not even ctrl-c was possible
anymore when they froze.

 I /think/ that after the upgrade I only got frozen applications which
worked for a while again after a /etc/init.d/gpm restart (until I
completely stopped it), after a reboot today I even got segfaults in
them, mostly when I did put my powerbook to sleep and resumed.

 Stopping gpm made the problems go away completely. If I can be of
further help for tracking the issue down (like debug install?) don't
hesitate to tell me. I'm not yet sure how to relyable reproduce it, but
it happened regularly enough the last day that I consider this bugreport
and its severity justified.

 Thanks,
Rhonda

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.22-3-powerpc
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gpm depends on:
ii  debconf [debconf-2.0]      1.5.19        Debian configuration management sy
ii  debianutils                2.28.4        Miscellaneous utilities specific t
ii  libc6                      2.7-6         GNU C Library: Shared libraries
ii  libgpmg1                   1.20.3~pre3-3 General Purpose Mouse - shared lib
ii  lsb-base                   3.1-24        Linux Standard Base 3.1 init scrip
ii  ucf                        3.005         Update Configuration File: preserv

gpm recommends no packages.

-- debconf information:
* gpm/responsiveness:
* gpm/repeat_type: none
* gpm/append:
  gpm/restart: false
* gpm/sample_rate:
* gpm/type: exps2
* gpm/device: /dev/input/mice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 470882@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: 470882@bugs.debian.org
Subject: Re: Bug#470882: gpm freezes and makes other applications freeze/segfault
Date: Fri, 14 Mar 2008 13:28:50 +0100
On Fri, Mar 14, 2008 at 10:45:35AM +0100, Gerfried Fuchs wrote:
>  Since yesterdays update of gpm in testing from 1.19.6-25 to
> 1.20.3~pre3-3 gpm regulary froze on me, making at least w3m, aptitude
> and pdmenu freeze or even segfault - not even ctrl-c was possible
> anymore when they froze.

 I have the situation right now again, here is the output from some
strace on the running gpm process that loops over and over again:

#v+
...
open("/dev/tty0", O_RDONLY)             = 4
fstat64(4, {st_mode=S_IFCHR|0660, st_rdev=makedev(4, 0), ...}) = 0
ioctl(4, KDGETMODE, 0x7fd666ec)         = 0
close(4)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({2, 0}, {2, 0})               = 0
...
#v-

 I am not sure if it is really relevant or helpful, output of ls -l in
the /proc/$gpm_pid/fd directory:

#v+
lrwx------ 1 root root 64 2008-03-14 13:24 0 -> /dev/pts/2 (deleted)
lrwx------ 1 root root 64 2008-03-14 13:24 1 -> /dev/pts/2 (deleted)
lrwx------ 1 root root 64 2008-03-14 13:24 2 -> /dev/pts/2 (deleted)
lrwx------ 1 root root 64 2008-03-14 13:24 3 -> socket:[151652]
lrwx------ 1 root root 64 2008-03-14 13:24 5 -> socket:[151667]
#v-

 And here the output of lsof grepping for $gpm_pid:

#v+
gpm       19375        root  cwd       DIR        3,4     4096          2 /
gpm       19375        root  rtd       DIR        3,4     4096          2 /
gpm       19375        root  txt       REG        3,4    97520     332727 /usr/sbin/gpm
gpm       19375        root  mem       REG        3,4  1441900    1030304 /lib/libc-2.7.so
gpm       19375        root  mem       REG        3,4   682288    1030501 /lib/libm-2.7.so
gpm       19375        root  mem       REG        3,4   133708    1030233 /lib/ld-2.7.so
gpm       19375        root    0u      CHR      136,2                   4 /dev/pts/2 (deleted)
gpm       19375        root    1u      CHR      136,2                   4 /dev/pts/2 (deleted)
gpm       19375        root    2u      CHR      136,2                   4 /dev/pts/2 (deleted)
gpm       19375        root    3u     unix 0xec3c2c80              151652 socket
gpm       19375        root    5u     unix 0xec3c2800              151667 /dev/gpmctl
#v-

 I'm back to stopping gpm again for the time being.
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. Full text and rfc822 format available.

Acknowledgement sent to Vaclav Ovsik <vaclav.ovsik@i.cz>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 470882@bugs.debian.org (full text, mbox):

From: Vaclav Ovsik <vaclav.ovsik@i.cz>
To: Debian Bug Tracking System <470882@bugs.debian.org>
Subject: /dev/gpmctl freezes acknowledge
Date: Wed, 30 Apr 2008 08:36:42 +0200
Package: gpm
Version: 1.20.3~pre3-3
Followup-For: Bug #470882

Hi,
I have this problem on my box and another two boxes at home too. Gpm
enabled applications freezes on communication with gpm. When I switch to
the console to see if mouse is functional under gpm right now (aptitude
hangs in rxvt) - mouse moves ok in text console.
Applications (aptitude, module-assistant,...) revive after gpm restart.
This problem appears several times a day for me.

It is sufficient to enter/quit aptitude or m-a six times (perhaps
exactly six times!) and problem arises (I check this several times with
aptitude now). Seventh enter is lockup. When I leave locked aptitude in
rxvt, switch to the text console, move around mouse a moment, go back
into the X-Window, aptitude revives.

Best Regards
-- 
Zito


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=cs_CZ.ISO-8859-2 (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/bash

Versions of packages gpm depends on:
ii  debconf [debconf-2.0]      1.5.21        Debian configuration management sy
ii  debianutils                2.28.5        Miscellaneous utilities specific t
ii  libc6                      2.7-10        GNU C Library: Shared libraries
ii  libgpmg1                   1.20.3~pre3-3 General Purpose Mouse - shared lib
ii  lsb-base                   3.2-11        Linux Standard Base 3.2 init scrip
ii  ucf                        3.006         Update Configuration File: preserv

gpm recommends no packages.

-- debconf information:
* gpm/responsiveness: 16
* gpm/repeat_type:
* gpm/append: -S ""
* gpm/restart: false
* gpm/sample_rate:
* gpm/type: imps2
* gpm/device: /dev/input/mice
* gpm/restart_default: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. Full text and rfc822 format available.

Acknowledgement sent to Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 470882@bugs.debian.org (full text, mbox):

From: Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
To: Vaclav Ovsik <vaclav.ovsik@i.cz>
Cc: Debian Bug Tracking System <470882@bugs.debian.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Wed, 30 Apr 2008 13:35:51 +0200
[Message part 1 (text/plain, inline)]
Hello!

Vaclav Ovsik [Wed, Apr 30, 2008 at 08:36:42AM +0200]:
> Hi,
> I have this problem on my box and another two boxes at home too. Gpm
> enabled applications freezes on communication with gpm. When I switch to
> the console to see if mouse is functional under gpm right now (aptitude
> hangs in rxvt) - mouse moves ok in text console.
> Applications (aptitude, module-assistant,...) revive after gpm restart.
> This problem appears several times a day for me.

Can you do strace -Ff <program> 2> log before starting the program that
hangs?

And can you run gpm -D <options> >gpm.log 2>&1 on another console before?

And then send both files to me?

Nico

-- 
Think about Free and Open Source Software (FOSS).
http://nico.schottelius.org/documentations/foss/the-term-foss/

PGP: BFE4 C736 ABE5 406F 8F42  F7CF B8BE F92A 9885 188C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. Full text and rfc822 format available.

Acknowledgement sent to Václav Ovsík <vaclav.ovsik@i.cz>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 470882@bugs.debian.org (full text, mbox):

From: Václav Ovsík <vaclav.ovsik@i.cz>
To: Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Cc: Debian Bug Tracking System <470882@bugs.debian.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Wed, 30 Apr 2008 14:40:26 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr 30, 2008 at 01:35:51PM +0200, Nico Schottelius wrote:
> Hello!
> 
> Vaclav Ovsik [Wed, Apr 30, 2008 at 08:36:42AM +0200]:
> > Hi,
> > I have this problem on my box and another two boxes at home too. Gpm
> > enabled applications freezes on communication with gpm. When I switch to
> > the console to see if mouse is functional under gpm right now (aptitude
> > hangs in rxvt) - mouse moves ok in text console.
> > Applications (aptitude, module-assistant,...) revive after gpm restart.
> > This problem appears several times a day for me.
> 
> Can you do strace -Ff <program> 2> log before starting the program that
> hangs?
> 
> And can you run gpm -D <options> >gpm.log 2>&1 on another console before?
> 
> And then send both files to me?

Of course.

bobek:~# /usr/sbin/gpm -m /dev/input/mice -t imps2 -r 16 -D &>gpm.log

# six times aptitude ran

# seventh aptitude run as you requested:

zito@bobek:~$ strace -Ff aptitude 2>aptitude-gpm.log

# The screen stayed black, so I did a copy of both log files
# with `.1' in the filename.

# I switched into the text console, did some mouse moves, switched
# back into X-Window, quit already running aptitude and Ctrl-C the gpm.

After this I ran the gpm again with the gpm2.log and ran aptitude only
two times, did moves on the text console and interrupted (Ctrl-C) the gpm.
Messages about failed connections from gpm appeared in the log file
until mouse moves on text console.

Log files are attached.

Regards
-- 
Zito
[gpm.1.log (text/plain, attachment)]
[gpm.log.bz2 (application/octet-stream, attachment)]
[aptitude-gpm.log.bz2 (application/octet-stream, attachment)]
[aptitude-gpm.1.log.bz2 (application/octet-stream, attachment)]
[gpm2.log.bz2 (application/octet-stream, attachment)]

Forcibly Merged 412927 470882 473496 476431. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 11 Jun 2008 05:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 470882@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: control@bugs.debian.org
Cc: 412927@bugs.debian.org, 470882@bugs.debian.org, 472062@bugs.debian.org, 473496@bugs.debian.org, 474516@bugs.debian.org, 476431@bugs.debian.org, 479345@bugs.debian.org, 482138@bugs.debian.org, 483916@bugs.debian.org
Subject: setting package to gpm libgpm-dev libgpmg1-dev libgpm2, tagging 470882, tagging 476431 ...
Date: Wed, 11 Jun 2008 09:33:11 +0300
# Automatically generated email from bts, devscripts version 2.10.29
#
# gpm (1.20.4-1) UNRELEASED; urgency=low
#
#  * New upstream version. (Closes: #482138)
#    - debian/patches/001_logging.patch: Removed, merged upstream.
#    - debian/patches/006_version_000: Likewise.
#    - debian/patches/008_sun_repeat_000: Likewise.
#    - debian/patches/030_segfault: Likewise.
#    - debian/patches/001_missing_V_option.patch: Refresh.
#    - debian/patches/002_force_repeat_000: Likewise.
#    - debian/patches/005_types_000: Likewise.
#    - debian/patches/007_doc_fix_000: Likewise.
#    - debian/patches/010_ps2_rework.patch: Likewise.
#    - debian/patches/013_xterm_mouse_support_000: Likewise.
#    - debian/patches/015_libgpm_noverbose.patch: Likewise.
#    - debian/patches/030_daemon_quit: Likewise.
#    - debian/patches/040_no_OPEN_MAX.patch: Likewise.
#    - debian/patches/050_dont_link_libcurses: Likewise.
#    - debian/rules: Fix Changelog to Changes in dh_installchangelogs call.
#    - Properly cleanup on 'make clean', fixes building twice in a row.
#      (Closes: 479345)
#    - Support default gpm handlers again. (Closes: #472062)
#    - Do not log 'Connecting' and 'Request' messages on syslog.
#      (Closes: #474516)
#  * Debian broke ABI compatibility with upstream long time ago, the patch
#    got merged upstream recently but the new field was added in a different
#    place in the structure. With the new 1.20.3~pre3 release Debian had
#    to be either incompatible with previous Debian gpm versions or with
#    upstream again, but quite helpfully upstream bumped the SONAME.
#    (Closes: #412927, #470882, #473496, #476431)
#    - Add a new libgpm2 and libgpm-dev packages.
#    - Remove the libgpmg1 package.
#    - Make the libgpmg1-dev a dummy package to ease the transition.
#    - Remove old Conflicts and Replaces on libgpm1.
#    - Bump libgpm shlibs dependency to 1.20.4.
#  * Italian, thanks David Paleino.  (Closes: #483916) 

package gpm libgpm-dev libgpmg1-dev libgpm2
tags 470882 + pending
tags 476431 + pending
tags 412927 + pending
tags 483916 + pending
tags 479345 + pending
tags 482138 + pending
tags 474516 + pending
tags 472062 + pending
tags 473496 + pending





Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 11 Jun 2008 06:36:15 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 11 Jun 2008 06:36:19 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 11 Jun 2008 06:36:21 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Wed, 11 Jun 2008 06:36:28 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 10:51:14 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 10:51:16 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 10:51:20 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 10:51:23 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <rhonda@debian.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 470882-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 470882-close@bugs.debian.org
Subject: Bug#470882: fixed in gpm 1.20.4-1
Date: Sun, 15 Jun 2008 15:29:26 +0000
Source: gpm
Source-Version: 1.20.4-1

We believe that the bug you reported is fixed in the latest version of
gpm, which is due to be installed in the Debian FTP archive:

gpm_1.20.4-1.diff.gz
  to pool/main/g/gpm/gpm_1.20.4-1.diff.gz
gpm_1.20.4-1.dsc
  to pool/main/g/gpm/gpm_1.20.4-1.dsc
gpm_1.20.4-1_i386.deb
  to pool/main/g/gpm/gpm_1.20.4-1_i386.deb
gpm_1.20.4.orig.tar.gz
  to pool/main/g/gpm/gpm_1.20.4.orig.tar.gz
libgpm-dev_1.20.4-1_i386.deb
  to pool/main/g/gpm/libgpm-dev_1.20.4-1_i386.deb
libgpm2_1.20.4-1_i386.deb
  to pool/main/g/gpm/libgpm2_1.20.4-1_i386.deb
libgpmg1-dev_1.20.4-1_i386.deb
  to pool/main/g/gpm/libgpmg1-dev_1.20.4-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470882@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated gpm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Jun 2008 09:30:31 +0300
Source: gpm
Binary: gpm libgpm2 libgpm-dev libgpmg1-dev
Architecture: source i386
Version: 1.20.4-1
Distribution: experimental
Urgency: low
Maintainer: Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 gpm        - General Purpose Mouse interface
 libgpm-dev - General Purpose Mouse - development files
 libgpm2    - General Purpose Mouse - shared library
 libgpmg1-dev - transitional dummy package which can be safely removed
Closes: 412927 470882 472062 473496 474516 476431 479345 482138 483916
Changes: 
 gpm (1.20.4-1) experimental; urgency=low
 .
   [ Guillem Jover ]
   * New upstream version. (Closes: #482138)
     - debian/patches/001_logging.patch: Removed, merged upstream.
     - debian/patches/006_version_000: Likewise.
     - debian/patches/008_sun_repeat_000: Likewise.
     - debian/patches/030_segfault: Likewise.
     - debian/patches/001_missing_V_option.patch: Refresh.
     - debian/patches/002_force_repeat_000: Likewise.
     - debian/patches/005_types_000: Likewise.
     - debian/patches/007_doc_fix_000: Likewise.
     - debian/patches/010_ps2_rework.patch: Likewise.
     - debian/patches/013_xterm_mouse_support_000: Likewise.
     - debian/patches/015_libgpm_noverbose.patch: Likewise.
     - debian/patches/030_daemon_quit: Likewise.
     - debian/patches/040_no_OPEN_MAX.patch: Likewise.
     - debian/patches/050_dont_link_libcurses: Likewise.
     - debian/rules: Fix Changelog to Changes in dh_installchangelogs call.
     - Properly cleanup on 'make clean', fixes building twice in a row.
       (Closes: 479345)
     - Support default gpm handlers again. (Closes: #472062)
     - Do not log 'Connecting' and 'Request' messages on syslog.
       (Closes: #474516)
   * Debian broke ABI compatibility with upstream long time ago, the patch
     got merged upstream recently but the new field was added in a different
     place in the structure. With the new 1.20.3~pre3 release Debian had
     to be either incompatible with previous Debian gpm versions or with
     upstream again, but quite helpfully upstream bumped the SONAME.
     (Closes: #412927, #470882, #473496, #476431)
     - Add a new libgpm2 and libgpm-dev packages.
     - Remove the libgpmg1 package.
     - Make the libgpmg1-dev a dummy package to ease the transition.
     - Remove old Conflicts and Replaces on libgpm1.
     - Bump libgpm shlibs dependency to 1.20.4.
   * Switch to use dh_lintian instead of manually installing the overrides.
     Bump the versioned debhelper Build-Depends to 6.0.7.
   * Remove now unused gpm lintian overrides, and add one for libgpmg1-dev.
   * Fix parallel FTBFS in debian/rules by moving 'patch' dependency from
     the build to a new pre-patch target that serializes configuration.
   * Add a debian/README.source file.
   * Now using Standards-Version 3.8.0.
 .
   [ Peter Samuelson ]
   * New debconf translations:
     - Italian, thanks David Paleino.  (Closes: #483916)
Checksums-Sha1: 
 b3701fcd3afcdd19777d240e3927def0f46ac54c 1283 gpm_1.20.4-1.dsc
 5a16db5e4dc39fbf3c53a09d1460ca468ef1af44 1347133 gpm_1.20.4.orig.tar.gz
 6bf3fbeb1d991e2c2da121124a6b0c798ba72ac4 84127 gpm_1.20.4-1.diff.gz
 fa131748b283c7f6fdfc340463631215079679ac 210658 gpm_1.20.4-1_i386.deb
 375741d5bc2bb4ed4c5f7dba8ad4f6502a74b3bf 32950 libgpm2_1.20.4-1_i386.deb
 d3456adc01b326bcc7a6dba8d20655bde17aacba 35950 libgpm-dev_1.20.4-1_i386.deb
 ecc7d3b2238d8d71fc4ef7fa058e0f50bc9cfd74 22958 libgpmg1-dev_1.20.4-1_i386.deb
Checksums-Sha256: 
 32fc370e0c1baec1be59161507bf094e9bdd7a40c1f3d2443cfb8f5a1904fdf3 1283 gpm_1.20.4-1.dsc
 d6c87cd0f2c32e2c3435c444728f2ae60324fda60dedda783ea0f24f363e576c 1347133 gpm_1.20.4.orig.tar.gz
 94b7daa49307b12de12b87da832088735f403cfb58bef4e1f2a0be51ad8ec72c 84127 gpm_1.20.4-1.diff.gz
 3e425cacfb57b766e1c9d6b3af8f502d7e010838e65476cfd57e2a1b6daecead 210658 gpm_1.20.4-1_i386.deb
 06559ae50699ad309189aa35448c44e776f44447be24da51a01cd3b7ac54100b 32950 libgpm2_1.20.4-1_i386.deb
 976240f29a2676e4ac7dfd006673fdce4f3f67fc66ec61a859d6f9a6e59f3a58 35950 libgpm-dev_1.20.4-1_i386.deb
 158350780d2b2e0cb6c3a4e4fe98bc1b33e675e0c8e1f816e44726cd94b03f8d 22958 libgpmg1-dev_1.20.4-1_i386.deb
Files: 
 03cc9711888d250fb3125d8c30d137f1 1283 misc optional gpm_1.20.4-1.dsc
 ac31dbe9ff294720acf4fc9328b60e22 1347133 misc optional gpm_1.20.4.orig.tar.gz
 458ff87ab66527e23df1e3a533418f03 84127 misc optional gpm_1.20.4-1.diff.gz
 e6a5fef1f85cd9782be3ec2f70097e7a 210658 misc optional gpm_1.20.4-1_i386.deb
 952a1fa0adc0cd06f8eb84911bb2fb51 32950 libs standard libgpm2_1.20.4-1_i386.deb
 da9e11223955affdd42ef159fd416801 35950 libdevel optional libgpm-dev_1.20.4-1_i386.deb
 eaf21a235f0398251f948871855ac668 22958 oldlibs extra libgpmg1-dev_1.20.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhPclMACgkQuW9ciZ2SjJv90wCeNM6AITehFZkDCnimZd8ODTTp
YC8AoORxorddgAimMBaWKMsYBawlwNCA
=BNzL
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniël Mantione <daniel.mantione@freepascal.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kevin Ryde <user42@zip.com.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon Raven <simon.raven@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #73 received at 470882@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: 470882@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#470882 closed by Guillem Jover <guillem@debian.org> (Bug#470882: fixed in gpm 1.20.4-1)
Date: Wed, 25 Jun 2008 10:07:22 +0200
reopen 470882
thanks

* Debian Bug Tracking System <owner@bugs.debian.org> [2008-06-25 08:02:34 CEST]:
>    * Debian broke ABI compatibility with upstream long time ago, the patch
>      got merged upstream recently but the new field was added in a different
>      place in the structure. With the new 1.20.3~pre3 release Debian had
>      to be either incompatible with previous Debian gpm versions or with
>      upstream again, but quite helpfully upstream bumped the SONAME.
>      (Closes: #412927, #470882, #473496, #476431)

 Unfortunately the ABI compatibility doesn't seem to be the cause for
the problem I reported:

|  Since yesterdays update of gpm in testing from 1.19.6-25 to
| 1.20.3~pre3-3 gpm regulary froze on me, making at least w3m, aptitude
| and pdmenu freeze or even segfault - not even ctrl-c was possible
| anymore when they froze.
| 
|  I /think/ that after the upgrade I only got frozen applications which
| worked for a while again after a /etc/init.d/gpm restart (until I
| completely stopped it), after a reboot today I even got segfaults in
| them, mostly when I did put my powerbook to sleep and resumed.
| 
|  Stopping gpm made the problems go away completely. If I can be of
| further help for tracking the issue down (like debug install?) don't
| hesitate to tell me. I'm not yet sure how to relyable reproduce it, but
| it happened regularly enough the last day that I consider this bugreport
| and its severity justified.

 This problem is still existent after the upgrade to the new version of
gpm from unstable (including the binNMUs for w3m and pdmenu), so I can't
call this problem fixed, sorry.

 So long,
Rhonda




Bug reopened, originator not changed. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Wed, 25 Jun 2008 08:45:17 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 04 Sep 2008 04:21:03 GMT) Full text and rfc822 format available.

Disconnected #470882 from all other report(s). Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Tue, 07 Oct 2008 20:33:17 GMT) Full text and rfc822 format available.

Forcibly Merged 470882 476431. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Wed, 08 Oct 2008 17:39:06 GMT) Full text and rfc822 format available.

Disconnected #476431 from all other report(s). Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Wed, 08 Oct 2008 21:21:06 GMT) Full text and rfc822 format available.

Forcibly Merged 470882 476431. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Wed, 08 Oct 2008 21:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Wed, 08 Oct 2008 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Wed, 08 Oct 2008 23:15:05 GMT) Full text and rfc822 format available.

Message #90 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Václav Ovsík <vaclav.ovsik@i.cz>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>
Cc: Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Thu, 9 Oct 2008 01:14:28 +0200
Just to summarize a few things:

- apparently it happens just for clients run in an terminal in X.
- the server logs previously attached to the bug show
"Failed gpm connect attempt by uid 1000 for vc /dev/tty0"
which means that libgpm tried to connect to the gpm server, and failed
since it didn't know which VT to acquire, thus tried tty0, and failed
since it probably belongs to root, not to uid 1000.

I tried to reproduce that, and I noticed something in the strace I could
get: 

# the client logs the connection error
sendto(52, "<14>Oct  9 00:55:37 aptitude: *** info", 39, MSG_NOSIGNAL, NULL, 0) = 39
sendto(52, "<14>Oct  9 00:55:37 aptitude: Warning: closing connection", 57, MSG_NOSIGNAL, NULL, 0) = 57
# closes the socket
close(4)    
...
# and still tries to select it!
select(5, [0 4], NULL, NULL, {0, 166000}) = -1 EBADF (Bad file descriptor)

it looks like the caller of libgpm didn't notice that gpm_fd is not
a valid file descriptor any more.  In the case of aptitude, that's
ncurses...  Thomas?

Now, that being said, that reminds me bug #472063: actually libgpm
shouldn't even have tried to connect to the server, it should have just
noticed it is running in an X terminal and set gpm_fd to -2...

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Thu, 09 Oct 2008 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Thu, 09 Oct 2008 00:03:02 GMT) Full text and rfc822 format available.

Message #95 received at 470882@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: Václav Ovsík <vaclav.ovsik@i.cz>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Wed, 8 Oct 2008 20:00:32 -0400
[Message part 1 (text/plain, inline)]
On Thu, Oct 09, 2008 at 01:14:28AM +0200, Samuel Thibault wrote:
> Just to summarize a few things:

recap - there's more than one client scenario:

	a) w3m, the last I looked, was abusing ncurses interface to
	   access gpm in its own way.  I'll keep in mind to not break
	   it, but its usage is completely unsupported.

	b) I'm not as familiar with pdmenu source - but reading, seems to
	   talk directly to gpm using its documented interface, and to
	   be using slang.

	c) aptitude is using ncurses via cwidgets (this might be mine ;-)
 
> - apparently it happens just for clients run in an terminal in X.
> - the server logs previously attached to the bug show
> "Failed gpm connect attempt by uid 1000 for vc /dev/tty0"
> which means that libgpm tried to connect to the gpm server, and failed
> since it didn't know which VT to acquire, thus tried tty0, and failed
> since it probably belongs to root, not to uid 1000.
> 
> I tried to reproduce that, and I noticed something in the strace I could
> get: 
> 
> # the client logs the connection error
> sendto(52, "<14>Oct  9 00:55:37 aptitude: *** info", 39, MSG_NOSIGNAL, NULL, 0) = 39
> sendto(52, "<14>Oct  9 00:55:37 aptitude: Warning: closing connection", 57, MSG_NOSIGNAL, NULL, 0) = 57
> # closes the socket
> close(4)    
> ...
> # and still tries to select it!
> select(5, [0 4], NULL, NULL, {0, 166000}) = -1 EBADF (Bad file descriptor)
> 
> it looks like the caller of libgpm didn't notice that gpm_fd is not
> a valid file descriptor any more.  In the case of aptitude, that's
> ncurses...  Thomas?
> 
> Now, that being said, that reminds me bug #472063: actually libgpm
> shouldn't even have tried to connect to the server, it should have just
> noticed it is running in an X terminal and set gpm_fd to -2...

With the latest update, ncurses won't try to use gpm if $TERM doesn't
contain "linux", unless it's overridden (with a new environment variable).

Before the immediate changes of the past month - ncurses would try to
use gpm - and I agree that it should have failed since I'd expect gpm_fd
to be returned as a negative value.  That check is made in one place in
lib_mouse.c:

        result = (my_Gpm_Open(&SP->_mouse_gpm_connect, 0) >= 0);

I noticed that for some reason it was _not_ failing, when the gpm server was
running, but did not dig into the gpm package (just examined the source code
w/o seeing the problem).  As I recall it, ncurses did both checks because
some previous users insisted that gpm works in xterm.

But that issue prompted me to add the additional restriction, to move
away from gpm a little further.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Thu, 09 Oct 2008 22:24:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Thu, 09 Oct 2008 22:24:26 GMT) Full text and rfc822 format available.

Message #100 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Simon Raven <simon.raven@gmail.com>, Gerfried Fuchs <rhonda@debian.at>, Václav Ovsík <vaclav.ovsik@i.cz>
Cc: Thomas Dickey <dickey@radix.net>, 470882@bugs.debian.org, 476431@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Thu, 9 Oct 2008 23:59:43 +0200
Thomas Dickey, le Wed 08 Oct 2008 20:00:32 -0400, a écrit :
> With the latest update, ncurses won't try to use gpm if $TERM doesn't
> contain "linux", unless it's overridden (with a new environment variable).

Ah, indeed.  Rhonda, Zito or Simon, could you check whether upgrading
your libncurses5 and libncursesw5 to 5.6+20081004-1 fixes the bug?  I
think that should fix it for the usual cases.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Fri, 10 Oct 2008 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 11:12:05 GMT) Full text and rfc822 format available.

Message #105 received at 470882@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: Simon Raven <simon.raven@gmail.com>, Gerfried Fuchs <rhonda@debian.at>, Václav Ovsík <vaclav.ovsik@i.cz>, Thomas Dickey <dickey@radix.net>, 470882@bugs.debian.org, 476431@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Fri, 10 Oct 2008 13:10:35 +0200
* Samuel Thibault <samuel.thibault@ens-lyon.org> [2008-10-09 23:59:43 CEST]:
> Thomas Dickey, le Wed 08 Oct 2008 20:00:32 -0400, a écrit :
> > With the latest update, ncurses won't try to use gpm if $TERM doesn't
> > contain "linux", unless it's overridden (with a new environment variable).
> 
> Ah, indeed.  Rhonda, Zito or Simon, could you check whether upgrading
> your libncurses5 and libncursesw5 to 5.6+20081004-1 fixes the bug?  I
> think that should fix it for the usual cases.

 These packages are currently installed:

w3m 0.5.2-2+b1, Versions of packages w3m depends on:
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libgc1c2               1:6.8-1.1         conservative garbage collector for
ii  libgpm2                1.20.4-2          General Purpose Mouse - shared lib
ii  libncurses5            5.6+20081004-1    shared libraries for terminal hand
ii  libssl0.9.8            0.9.8g-13         SSL shared libraries
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

 Doesn't solve the issue, unfortunately. I've upgraded all my ncurses
packages, after that started gpm and did run and quit
'w3m http://nm.debian.org/' exactly seven times (reproducible), likewise
with pdmenu:

#v+
rhonda@edna:~$ sudo /etc/init.d/gpm start
Starting mouse interface server: gpm.
rhonda@edna:~$ pdmenu 
rhonda@edna:~$ pdmenu 
rhonda@edna:~$ pdmenu 
rhonda@edna:~$ pdmenu 
rhonda@edna:~$ pdmenu 
rhonda@edna:~$ pdmenu 
rhonda@edna:~$ pdmenu 
#v-

 Did press x and enter in the started pdmenu, the last one just hangs
and doesn't start until gpm is stopped again.

 Thanks for keeping an eye on it, if there's more I can do, just let me
know.

 So long,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Fri, 10 Oct 2008 11:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 11:24:05 GMT) Full text and rfc822 format available.

Message #110 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: Simon Raven <simon.raven@gmail.com>, Gerfried Fuchs <rhonda@debian.at>, Václav Ovsík <vaclav.ovsik@i.cz>, Thomas Dickey <dickey@radix.net>, 470882@bugs.debian.org, 476431@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Fri, 10 Oct 2008 13:21:49 +0200
Gerfried Fuchs, le Fri 10 Oct 2008 13:10:35 +0200, a écrit :
> ii  libncurses5            5.6+20081004-1    shared libraries for terminal hand
> 
>  Doesn't solve the issue, unfortunately.

Ok so you're encountering another bug than what I've noticed.  Am I
right in thinking that this only happens in an xterm, not on the text
console?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Fri, 10 Oct 2008 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 11:33:05 GMT) Full text and rfc822 format available.

Message #115 received at 470882@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: Samuel Thibault <samuel.thibault@ens-lyon.org>, Simon Raven <simon.raven@gmail.com>, Gerfried Fuchs <rhonda@debian.at>, Václav Ovsík <vaclav.ovsik@i.cz>, Thomas Dickey <dickey@radix.net>, 470882@bugs.debian.org, 476431@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Fri, 10 Oct 2008 07:30:18 -0400
[Message part 1 (text/plain, inline)]
On Fri, Oct 10, 2008 at 01:10:35PM +0200, Gerfried Fuchs wrote:
> * Samuel Thibault <samuel.thibault@ens-lyon.org> [2008-10-09 23:59:43 CEST]:
> > Thomas Dickey, le Wed 08 Oct 2008 20:00:32 -0400, a écrit :
> > > With the latest update, ncurses won't try to use gpm if $TERM doesn't
> > > contain "linux", unless it's overridden (with a new environment variable).
> > 
> > Ah, indeed.  Rhonda, Zito or Simon, could you check whether upgrading
> > your libncurses5 and libncursesw5 to 5.6+20081004-1 fixes the bug?  I
> > think that should fix it for the usual cases.
> 
>  These packages are currently installed:
> 
> w3m 0.5.2-2+b1, Versions of packages w3m depends on:

I already commented on w3m.  It's using names from ncurses without actually
using the ncurses library, to fool gpm into working by calling w3m's code.

See

  http://invisible-island.net/ncurses/ncurses.faq.html#using_gpm_lib

> ii  libc6                  2.7-13            GNU C Library: Shared libraries
> ii  libgc1c2               1:6.8-1.1         conservative garbage collector for
> ii  libgpm2                1.20.4-2          General Purpose Mouse - shared lib
> ii  libncurses5            5.6+20081004-1    shared libraries for terminal hand
> ii  libssl0.9.8            0.9.8g-13         SSL shared libraries
> ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime
> 
>  Doesn't solve the issue, unfortunately. I've upgraded all my ncurses
> packages, after that started gpm and did run and quit
> 'w3m http://nm.debian.org/' exactly seven times (reproducible), likewise
> with pdmenu:

...Of the programs mentioned, ncurses updates should only affect aptitude.
pdmenu does not appear to rely on ncurses (see my first reply).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Fri, 10 Oct 2008 11:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 11:54:02 GMT) Full text and rfc822 format available.

Message #120 received at 470882@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: Simon Raven <simon.raven@gmail.com>, Václav Ovsík <vaclav.ovsik@i.cz>, Thomas Dickey <dickey@radix.net>, 470882@bugs.debian.org, 476431@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Fri, 10 Oct 2008 13:50:47 +0200
* Samuel Thibault <samuel.thibault@ens-lyon.org> [2008-10-10 13:21:49 CEST]:
> Gerfried Fuchs, le Fri 10 Oct 2008 13:10:35 +0200, a écrit :
> > ii  libncurses5            5.6+20081004-1    shared libraries for terminal hand
> > 
> >  Doesn't solve the issue, unfortunately.
> 
> Ok so you're encountering another bug than what I've noticed.  Am I
> right in thinking that this only happens in an xterm, not on the text
> console?

 I'm using an rxvt-unicode, but yes. First time tried to test it in a
virtual console and indeed, the bug doesn't appear to happen there,
started pdmenu for at least 20 times without troubles.

 Did give it another test: When pdmenu hangs and switching from X11 to
virtual console and back, pdmenu displayed its menu, but pressing any
key will make it segfault from that state.

 So long,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Fri, 10 Oct 2008 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Václav Ovsík <vaclav.ovsik@i.cz>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 11:54:03 GMT) Full text and rfc822 format available.

Message #125 received at 470882@bugs.debian.org (full text, mbox):

From: Václav Ovsík <vaclav.ovsik@i.cz>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: Simon Raven <simon.raven@gmail.com>, Gerfried Fuchs <rhonda@debian.at>, Thomas Dickey <dickey@radix.net>, 470882@bugs.debian.org, 476431@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Fri, 10 Oct 2008 13:51:32 +0200
On Thu, Oct 09, 2008 at 11:59:43PM +0200, Samuel Thibault wrote:
> Thomas Dickey, le Wed 08 Oct 2008 20:00:32 -0400, a écrit :
> > With the latest update, ncurses won't try to use gpm if $TERM doesn't
> > contain "linux", unless it's overridden (with a new environment variable).
> 
> Ah, indeed.  Rhonda, Zito or Simon, could you check whether upgrading
> your libncurses5 and libncursesw5 to 5.6+20081004-1 fixes the bug?  I
> think that should fix it for the usual cases.

Yes, upgrade solved my problem - aptitude, m-a at least.
I tried start these 10 times and freeze didn't occured.

I'm using Unicode Rxvt X terminal emulator.

zito@bobek:~$ echo $TERM
rxvt-unicode

I tested problem with 5.6+20080925-1 positively, than upgrade to
5.6+20081004-1 and it is OK now.

ii  libncurses5    5.6+20081004-1 shared libraries for terminal handling

Regards
-- 
Zito




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Fri, 10 Oct 2008 12:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 12:36:02 GMT) Full text and rfc822 format available.

Message #130 received at 470882@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Thomas Dickey <dickey@radix.net>
Cc: Samuel Thibault <samuel.thibault@ens-lyon.org>, Simon Raven <simon.raven@gmail.com>, Gerfried Fuchs <rhonda@debian.at>, Václav Ovsík <vaclav.ovsik@i.cz>, 470882@bugs.debian.org, 476431@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Fri, 10 Oct 2008 14:34:14 +0200
* Thomas Dickey <dickey@radix.net> [2008-10-10 13:30:18 CEST]:
> On Fri, Oct 10, 2008 at 01:10:35PM +0200, Gerfried Fuchs wrote:
> > w3m 0.5.2-2+b1, Versions of packages w3m depends on:
> 
> I already commented on w3m.  It's using names from ncurses without actually
> using the ncurses library, to fool gpm into working by calling w3m's code.

 Ah, sorry.

> ...Of the programs mentioned, ncurses updates should only affect aptitude.
> pdmenu does not appear to rely on ncurses (see my first reply).

 Hanging pdmenu doesn't affect aptitude usage. I'm currently downgrading
ncurses5 again to test wether that is really an improvement, wasn't sure
how it was before that.

 Yes, downgrading ncurses5 makes aptitude hang, too.

 So long,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Fri, 10 Oct 2008 23:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Fri, 10 Oct 2008 23:06:02 GMT) Full text and rfc822 format available.

Message #135 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Thomas Dickey <dickey@radix.net>
Cc: Václav Ovsík <vaclav.ovsik@i.cz>, 470882@bugs.debian.org, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 11 Oct 2008 01:02:30 +0200
Thomas Dickey, le Wed 08 Oct 2008 20:00:32 -0400, a écrit :
> 	b) I'm not as familiar with pdmenu source - but reading, seems to
> 	   talk directly to gpm using its documented interface, and to
> 	   be using slang.

I tried to reproduce it, same issue indeed:

Program received signal SIGBUS, Bus error.
CheckMouse () at ../src/mouse.c:39
39	    FD_SET(gpm_fd, &rfds);
(gdb) bt
#0  CheckMouse () at ../src/mouse.c:39
#1  0x0000000000404072 in DoMenu (m=0x1f79d10, MenuAction=0x402c80 <Pdmenu_Action>, 
    Ctrl_C_Action=0x402ca0 <Handle_Ctrl_C>) at ../src/menu.c:336
#2  0x0000000000404e62 in main (argc=<value optimized out>, argv=0x7fff9a00ff08)
    at ../src/pdmenu.c:275
(gdb) p gpm_fd
$1 = -1

pdmenu doesn't like gpm_fd becoming -1 under its feet.

I haven't been able to reproduce the issue with w3m.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sun, 12 Oct 2008 10:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Sun, 12 Oct 2008 10:21:02 GMT) Full text and rfc822 format available.

Message #140 received at 470882@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: Václav Ovsík <vaclav.ovsik@i.cz>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sun, 12 Oct 2008 12:19:49 +0200
On Thu, Oct 09, 2008 at 01:14:28AM +0200, Samuel Thibault wrote:
> 
> Now, that being said, that reminds me bug #472063: actually libgpm
> shouldn't even have tried to connect to the server, it should have just
> noticed it is running in an X terminal and set gpm_fd to -2...

Both people reporting this bug seem to be using rxvt-unicode, and 
#472063 is also about that.  #472063 is also still open.

So I've tried a few different things.  Using aptitude:
- virtual console shows mouse, but doesn't work as expected.  Clicking
  somewhere doesn't always seem to have an effect.  Click and drag seems
  to have a weird effects.
- xterm: the mouse icon stays the same as a normal xterm, one used for
  selecting text.  Clicking someone does seem to have the desired
  effect.  However, it seems that the place where the cursor is shown
  in other cases it just shows an empty space instead of the '-'.
- rxvt-unicode: The mouse icon is also the text selecting one, and it's
  all that it seems to be doing.  The cursor is not shown.
- gnome-terminal: the mouse icon is a normal pointer.  It also works
  as expected.  When aptitude wasn't started it was the text selection
  icon.
- konsole: behaves the same as gnome-terminal.

For w3m:
- virtual console: no mouse shown, also doesn't seem to have
  any effect at all.
- xterm: same as aptitude, but text under cursor still shown.
- rxvt-unicode: same as aptitude, but the cursor is shown now.
- gnome-terminal: same as aptitude.
- konsole: same as aptitude.

For pdmenu:
- virtual console: no mouse shown, but moving it changes the current
  line of the menu.  It's shown in white on black, no colors.
- xterm, rxvt-unicode, gnome-terminal, konsole: Just selection
  of text.  They all show it in color, rxvt-unicode with a grey
  background, the rest with a blue background.


So it seems to me that the problem might be in the terminal emulator.

I was not able to reproduce any hanging or segfaults or something
simular.


Packages used:
aptitude       0.4.11.8-1
gpm            1.20.4-2
libncurses5    5.6+20080830-1
w3m            0.5.2-2+b1
rxvt-unicode   9.05-1
gnome-terminal 2.22.3-3
xterm          235-1
konsole	       4:3.5.9.dfsg.1-5





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sun, 12 Oct 2008 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Sun, 12 Oct 2008 13:54:03 GMT) Full text and rfc822 format available.

Message #145 received at 470882@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: Samuel Thibault <samuel.thibault@ens-lyon.org>, Václav Ovsík <vaclav.ovsik@i.cz>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sun, 12 Oct 2008 09:52:10 -0400
[Message part 1 (text/plain, inline)]
On Sun, Oct 12, 2008 at 12:19:49PM +0200, Kurt Roeckx wrote:
> On Thu, Oct 09, 2008 at 01:14:28AM +0200, Samuel Thibault wrote:
> > 
> > Now, that being said, that reminds me bug #472063: actually libgpm
> > shouldn't even have tried to connect to the server, it should have just
> > noticed it is running in an X terminal and set gpm_fd to -2...
> 
> Both people reporting this bug seem to be using rxvt-unicode, and 
> #472063 is also about that.  #472063 is also still open.
> 
> So I've tried a few different things.  Using aptitude:
> - virtual console shows mouse, but doesn't work as expected.  Clicking
>   somewhere doesn't always seem to have an effect.  Click and drag seems
>   to have a weird effects.

ncurses is "only" using a click-style interface for GPM (no dragging).
As I recall it, GPM also has some built-in behavior for select/paste
which ncurses doesn't try to work around.

> - xterm: the mouse icon stays the same as a normal xterm, one used for
>   selecting text.  Clicking someone does seem to have the desired
>   effect.  However, it seems that the place where the cursor is shown
>   in other cases it just shows an empty space instead of the '-'.

I'm not sure why ncurses would behave different from gnome/konsole here.
The description isn't clear (to me) though...

(coincidentally, I was just testing gnome-terminal with vttest, seeing
some mouse-related bugs there ;-)

> - rxvt-unicode: The mouse icon is also the text selecting one, and it's
>   all that it seems to be doing.  The cursor is not shown.

that may depend on the terminfo (Debian maintains that one).

> - gnome-terminal: the mouse icon is a normal pointer.  It also works
>   as expected.  When aptitude wasn't started it was the text selection
>   icon.
> - konsole: behaves the same as gnome-terminal.
> 
> For w3m:
> - virtual console: no mouse shown, also doesn't seem to have
>   any effect at all.
> - xterm: same as aptitude, but text under cursor still shown.
> - rxvt-unicode: same as aptitude, but the cursor is shown now.
> - gnome-terminal: same as aptitude.
> - konsole: same as aptitude.
> 
> For pdmenu:
> - virtual console: no mouse shown, but moving it changes the current
>   line of the menu.  It's shown in white on black, no colors.
> - xterm, rxvt-unicode, gnome-terminal, konsole: Just selection
>   of text.  They all show it in color, rxvt-unicode with a grey
>   background, the rest with a blue background.
> 
> 
> So it seems to me that the problem might be in the terminal emulator.
> 
> I was not able to reproduce any hanging or segfaults or something
> simular.
> 
> 
> Packages used:
> aptitude       0.4.11.8-1
> gpm            1.20.4-2
> libncurses5    5.6+20080830-1
> w3m            0.5.2-2+b1
> rxvt-unicode   9.05-1
> gnome-terminal 2.22.3-3
> xterm          235-1
> konsole	       4:3.5.9.dfsg.1-5

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 25 Oct 2008 18:51:10 GMT) Full text and rfc822 format available.

Message #148 received at 470882@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 470882@bugs.debian.org
Cc: Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Samuel Thibault <samuel.thibault@ens-lyon.org>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 25 Oct 2008 20:47:08 +0200
[Message part 1 (text/plain, inline)]
[http://wiki.debian.org/BugSprint is to blame for me looking into this]

As the locking occurs on exactly the 7th event (using rxvt-unicode +
pdmenu here), there must be kept some state somewhere. That's most
likely gpm.

Client applications try to connect() to /dev/gpmctl, but starting from
the 7th try, this locks up. Stracing gpm shows that it doesn't ever
accept() the connection, not on the first tries, nor later. gdb shows
it loops in wait_text() from which it never exits:

#0  0x00007f41a2a13fc0 in nanosleep () from /lib/libc.so.6
#1  0x00007f41a2a13e17 in sleep () from /lib/libc.so.6
#2  0x000000000041378a in wait_text (fdptr=0x61c2a8) at daemon/wait_text.c:38
#3  0x0000000000410172 in old_main () at daemon/old_main.c:172
#4  0x000000000040f705 in main (argc=5, argv=0x7fffab167d88) at daemon/main.c:33

The bit that would accept() connections is processConn() is never
reached because old_main() continues the loop earlier.

So far I managed to find a way to work around the problem by starting
gpm with the -F (force repeat) option:

#0  0x00007f8b5e95ec93 in select () from /lib/libc.so.6
#1  0x000000000040ff05 in old_main () at daemon/old_main.c:133
#2  0x000000000040f719 in main (argc=6, argv=0x7fff67087c98) at daemon/main.c:33

Now pdmenu doesn't lock up anymore.

I suspect the following code from old_main() is bogus:

     /* 
      * Be sure to be in text mode. This used to be before select,
      * but actually it only matters if you have events.
      */
      {
      int fd = open_console(O_RDONLY);
      if (ioctl(fd, KDGETMODE, &kd_mode) < 0)
         gpm_report(GPM_PR_OOPS,GPM_MESS_IOCTL_KDGETMODE);
      close(fd);
      if(kd_mode != KD_TEXT && !option.repeater && !option.force_repeat) {
         wait_text(&mouse_table[1].fd);

What does it mean to be "in text mode"? What if X is started later?
Does gpm assume that all X users will need to enable a repeater? Since
/dev/input/mice exists, that's no longer true, afaict.

Or is the bug rather that applications not running on a linux consule
must not try to connect to gpm? In this case, gpm should probably
still reject the connection in some way.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 25 Oct 2008 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Sat, 25 Oct 2008 19:15:03 GMT) Full text and rfc822 format available.

Message #153 received at 470882@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Christoph Berg <myon@debian.org>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Samuel Thibault <samuel.thibault@ens-lyon.org>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 25 Oct 2008 21:13:29 +0200
On Sat, Oct 25, 2008 at 08:47:08PM +0200, Christoph Berg wrote:
> 
> I suspect the following code from old_main() is bogus:
> 
>      /* 
>       * Be sure to be in text mode. This used to be before select,
>       * but actually it only matters if you have events.
>       */
>       {
>       int fd = open_console(O_RDONLY);
>       if (ioctl(fd, KDGETMODE, &kd_mode) < 0)
>          gpm_report(GPM_PR_OOPS,GPM_MESS_IOCTL_KDGETMODE);
>       close(fd);
>       if(kd_mode != KD_TEXT && !option.repeater && !option.force_repeat) {
>          wait_text(&mouse_table[1].fd);
> 
> What does it mean to be "in text mode"? What if X is started later?

It return 0 (KD_TEXT) when the _current_ console is a text console
and 1 (KD_GRAPHICS) when you're in X.  It has nothing to do with
what console gpm runs on, since it's detached.



Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 25 Oct 2008 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Sat, 25 Oct 2008 19:30:02 GMT) Full text and rfc822 format available.

Message #158 received at 470882@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Christoph Berg <myon@debian.org>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Samuel Thibault <samuel.thibault@ens-lyon.org>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 25 Oct 2008 21:27:11 +0200
On Sat, Oct 25, 2008 at 08:47:08PM +0200, Christoph Berg wrote:
> [http://wiki.debian.org/BugSprint is to blame for me looking into this]
> 
> As the locking occurs on exactly the 7th event (using rxvt-unicode +
> pdmenu here), there must be kept some state somewhere. That's most
> likely gpm.

Restarting gpm makes it work again.

> So far I managed to find a way to work around the problem by starting
> gpm with the -F (force repeat) option:

I've always used the -R option which I probably don't need anymore,
so I guess that's why I couldn't reproduce it.

>       int fd = open_console(O_RDONLY);
>       if (ioctl(fd, KDGETMODE, &kd_mode) < 0)
>          gpm_report(GPM_PR_OOPS,GPM_MESS_IOCTL_KDGETMODE);
>       close(fd);
>       if(kd_mode != KD_TEXT && !option.repeater && !option.force_repeat) {
>          wait_text(&mouse_table[1].fd);

You know that you're looking at the code from experimental, right?


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 25 Oct 2008 19:36:02 GMT) Full text and rfc822 format available.

Message #161 received at 470882@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Samuel Thibault <samuel.thibault@ens-lyon.org>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 25 Oct 2008 21:34:15 +0200
[Message part 1 (text/plain, inline)]
Re: Kurt Roeckx 2008-10-25 <20081025191329.GA25136@roeckx.be>
> >       if(kd_mode != KD_TEXT && !option.repeater && !option.force_repeat) {
> >          wait_text(&mouse_table[1].fd);
> > 
> > What does it mean to be "in text mode"? What if X is started later?
> 
> It return 0 (KD_TEXT) when the _current_ console is a text console
> and 1 (KD_GRAPHICS) when you're in X.  It has nothing to do with
> what console gpm runs on, since it's detached.

That code runs in the server. wait_text() doesn't return while X is
shown on the console, and that makes the connect()s from libgpm pile
up, and finally block.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 25 Oct 2008 20:12:02 GMT) Full text and rfc822 format available.

Message #164 received at 470882@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Samuel Thibault <samuel.thibault@ens-lyon.org>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 25 Oct 2008 22:09:35 +0200
[Message part 1 (text/plain, inline)]
Re: Kurt Roeckx 2008-10-25 <20081025192711.GB25136@roeckx.be>
> >       int fd = open_console(O_RDONLY);
> >       if (ioctl(fd, KDGETMODE, &kd_mode) < 0)
> >          gpm_report(GPM_PR_OOPS,GPM_MESS_IOCTL_KDGETMODE);
> >       close(fd);
> >       if(kd_mode != KD_TEXT && !option.repeater && !option.force_repeat) {
> >          wait_text(&mouse_table[1].fd);
> 
> You know that you're looking at the code from experimental, right?

gpm (1.20.4-2) unstable; urgency=low
 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 09:38:10 +0300

Same version is also in testing.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 25 Oct 2008 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Sat, 25 Oct 2008 20:33:02 GMT) Full text and rfc822 format available.

Message #169 received at 470882@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Christoph Berg <myon@debian.org>, 470882@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 25 Oct 2008 22:30:37 +0200
On Sat, Oct 25, 2008 at 10:09:35PM +0200, Christoph Berg wrote:
> Re: Kurt Roeckx 2008-10-25 <20081025192711.GB25136@roeckx.be>
> > >       int fd = open_console(O_RDONLY);
> > >       if (ioctl(fd, KDGETMODE, &kd_mode) < 0)
> > >          gpm_report(GPM_PR_OOPS,GPM_MESS_IOCTL_KDGETMODE);
> > >       close(fd);
> > >       if(kd_mode != KD_TEXT && !option.repeater && !option.force_repeat) {
> > >          wait_text(&mouse_table[1].fd);
> > 
> > You know that you're looking at the code from experimental, right?
> 
> gpm (1.20.4-2) unstable; urgency=low


It seems I didn't look at the source with the patches applied.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 25 Oct 2008 20:42:02 GMT) Full text and rfc822 format available.

Message #172 received at 470882@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 470882@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 25 Oct 2008 22:41:12 +0200
[Message part 1 (text/plain, inline)]
Re: Kurt Roeckx 2008-10-25 <20081025203037.GA6720@roeckx.be>
> > gpm (1.20.4-2) unstable; urgency=low
> 
> It seems I didn't look at the source with the patches applied.

Btw, I had tried disabling some patches, but the result was the same.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Tue, 28 Oct 2008 01:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Tue, 28 Oct 2008 01:51:08 GMT) Full text and rfc822 format available.

Message #177 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Christoph Berg <myon@debian.org>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Tue, 28 Oct 2008 02:50:22 +0100
Hello,

Same for me, I've always had the repeater, thus couldn't reproduce the
"7th" bug.

Christoph Berg, le Sat 25 Oct 2008 20:47:08 +0200, a écrit :
> Or is the bug rather that applications not running on a linux consule
> must not try to connect to gpm?

Ideally they shouldn't even try, yes.  And they used to not try, see bug
#472063.

> In this case, gpm should probably still reject the connection in some
> way.

Yes.  The problem is that then you get the crash whose backtrace can be
read in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=470882#135 : it
looks like libgpm can not afford just closing its fd and setting gpm_fd
to -1 since the application could still e.g. add it to an fd_set or have
done it already (and then get a EBADF).

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Tue, 11 Nov 2008 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Tue, 11 Nov 2008 21:27:07 GMT) Full text and rfc822 format available.

Message #182 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Christoph Berg <myon@debian.org>, 470882@bugs.debian.org, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>, control@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Tue, 11 Nov 2008 22:24:53 +0100
[Message part 1 (text/plain, inline)]
tags 470882 + patch
thanks

Hello,

Christoph Berg, le Sat 25 Oct 2008 20:47:08 +0200, a écrit :
> I suspect the following code from old_main() is bogus:
> 
>       if(kd_mode != KD_TEXT && !option.repeater && !option.force_repeat) {
>          wait_text(&mouse_table[1].fd);
> 
> What does it mean to be "in text mode"? What if X is started later?

As already said, that's not a problem.

> Does gpm assume that all X users will need to enable a repeater?

Precisely no.

The problem is that you both want a mouse on the text console and a
mouse in X.  The correct way is to use a repeater: gpm reads
/dev/input/mice, and repeats to X.  Now, gpm tries to play nice with X
servers that would read /dev/input/mice themselves: if a repeater is not
setup, then when not in text mode gpm closes the mouse (to let X open
it).

The unfortunate effect here is that it waits without handling clients.
The attached patch fixes that: when not in text mode, the mouse
is closed, but the select() loop continues.  I had to change the
timeout of select, I have made it 2 seconds, like the latency of the
previously-used wait_text().  That should fix the hang of clients.

Samuel
[patch-gpm (text/plain, attachment)]

Tags added: patch Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Tue, 11 Nov 2008 21:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Wed, 12 Nov 2008 13:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Wed, 12 Nov 2008 13:45:03 GMT) Full text and rfc822 format available.

Message #189 received at 470882@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 470882@bugs.debian.org
Cc: Christoph Berg <myon@debian.org>, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>, control@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Wed, 12 Nov 2008 14:43:19 +0100
* Samuel Thibault <samuel.thibault@ens-lyon.org> [2008-11-11 22:24:53 CET]:
> The problem is that you both want a mouse on the text console and a
> mouse in X.  The correct way is to use a repeater: gpm reads
> /dev/input/mice, and repeats to X.  Now, gpm tries to play nice with X
> servers that would read /dev/input/mice themselves: if a repeater is not
> setup, then when not in text mode gpm closes the mouse (to let X open
> it).
> 
> The unfortunate effect here is that it waits without handling clients.
> The attached patch fixes that: when not in text mode, the mouse
> is closed, but the select() loop continues.  I had to change the
> timeout of select, I have made it 2 seconds, like the latency of the
> previously-used wait_text().  That should fix the hang of clients.

 Are you sure with that fix? I applied it and did a local rebuild, and
now pdmenu segfaults on any keypress after starting. I don't really call
that an improvment. :)

 Just to be sure I did it properly, I dumped your patch into
debian/patches/060_eliminate-hang-in-X11 and added it to the series
file, the rebuild did happen in a current sid chroot.

 So long,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Wed, 12 Nov 2008 18:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Wed, 12 Nov 2008 18:36:02 GMT) Full text and rfc822 format available.

Message #194 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 470882@bugs.debian.org, Christoph Berg <myon@debian.org>, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>, control@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Wed, 12 Nov 2008 19:33:19 +0100
Gerfried Fuchs, le Wed 12 Nov 2008 14:43:19 +0100, a écrit :
> > The unfortunate effect here is that it waits without handling clients.
> > The attached patch fixes that: when not in text mode, the mouse
> > is closed, but the select() loop continues.  I had to change the
> > timeout of select, I have made it 2 seconds, like the latency of the
> > previously-used wait_text().  That should fix the hang of clients.
> 
>  Are you sure with that fix?

Definitely.

> I applied it and did a local rebuild, and now pdmenu segfaults on any
> keypress after starting. I don't really call that an improvment. :)

It is: now you at least get a connexion, and get rejected.

The pdmenu segfault is due to another bug, see my mail dated 11th
October. The problem is that pdmenu tries to connect to gpm, but because
it is not running as root or as the owner of the console ttys, the
server eventually rejects it (_after_ having received some data, because
on some systems it's the only way to get the credentials), i.e. the
server closes the connection, the client gets an EOF, closes it too, and
sets gpm_fd to -1. Then pdmenu uses it in a FD_SET() call. SEGFAULT.

One way to fix it would be in the client to create a pipe, and dup2()
the read side into the gpm_fd, in order to keep the fd never readable
again. It's quite ugly, but that's the only way I can see to fix clients
that use gpm_fd without taking care. Else we have to fix all the
clients.

(Note that if gpm is restarted, you get the same issue: the client gets
an EOF etc).

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Thu, 13 Nov 2008 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Thu, 13 Nov 2008 00:42:03 GMT) Full text and rfc822 format available.

Message #199 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 470882@bugs.debian.org, Christoph Berg <myon@debian.org>, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>, control@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Thu, 13 Nov 2008 01:39:03 +0100
[Message part 1 (text/plain, inline)]
clone 470882
retitle -1 pdmenu should check the value returned by Gpm_GetEvent()
reassign -1 pdmenu
thanks

Reading the documentation of Gpm_GetEvent:

« It returns 1 on success, -1 on failure, and 0 after closing the connection. »

pdmenu doesn't properly check that.  It should.  Patch attached.

Samuel
[patch (text/plain, attachment)]

Disconnected #470882 from all other report(s). Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Thu, 13 Nov 2008 01:18:14 GMT) Full text and rfc822 format available.

Bug 470882 cloned as bug 505502. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Thu, 13 Nov 2008 01:18:18 GMT) Full text and rfc822 format available.

Merged 470882 476431. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Thu, 13 Nov 2008 01:18:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Sat, 22 Nov 2008 16:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Sat, 22 Nov 2008 16:48:03 GMT) Full text and rfc822 format available.

Message #210 received at 470882@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 470882@bugs.debian.org
Cc: Christoph Berg <myon@debian.org>, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>, control@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Sat, 22 Nov 2008 17:44:07 +0100
* Samuel Thibault <samuel.thibault@ens-lyon.org> [2008-11-12 19:33:19 CET]:
> It is: now you at least get a connexion, and get rejected.

 Hmm, alright.

> The pdmenu segfault is due to another bug, see my mail dated 11th
> October.

 Ah, right. And aptitude does behave false here too (last two lines from
strace):

write(2, "Uncaught exception: Unable to read from stdin: Bad file descriptor\n"..., 67) = 67
exit_group(-1)      = ?

 I guess we need to clone the bug to there, too, or rather libncurses
through which it seems to use gpm, it doesn't directly depend on libgpm.

 Not sure what other applications might be affected by it and should get
addressed, too ...

 Thanks,
Rhonda




Tags removed: Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 22 Nov 2008 20:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Mon, 24 Nov 2008 00:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Mon, 24 Nov 2008 00:18:02 GMT) Full text and rfc822 format available.

Message #217 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 470882@bugs.debian.org, Christoph Berg <myon@debian.org>, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>, control@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Mon, 24 Nov 2008 01:11:20 +0100
[Message part 1 (text/plain, inline)]
clone 470882 -1
reassign -1 ncurses
retitle -1 ncurses should check the value returned by Gpm_GetEvent()
thanks

Gerfried Fuchs, le Sat 22 Nov 2008 17:44:07 +0100, a écrit :
>  Ah, right. And aptitude does behave false here too (last two lines from
> strace):
> 
> write(2, "Uncaught exception: Unable to read from stdin: Bad file descriptor\n"..., 67) = 67
> exit_group(-1)      = ?
> 
>  I guess we need to clone the bug to there, too, or rather libncurses
> through which it seems to use gpm, it doesn't directly depend on libgpm.

Ah, right, doing so with a patch.

>  Not sure what other applications might be affected by it and should get
> addressed, too ...

Well, all the rdeps :/

Samuel
[patch-ncurses-gpm (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>:
Bug#470882; Package gpm. (Mon, 24 Nov 2008 00:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian GPM Team <pkg-gpm-devel@lists.alioth.debian.org>. (Mon, 24 Nov 2008 00:33:06 GMT) Full text and rfc822 format available.

Message #222 received at 470882@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 470882@bugs.debian.org, Christoph Berg <myon@debian.org>, Thomas Dickey <dickey@radix.net>, Kurt Roeckx <kurt@roeckx.be>, Václav Ovsík <vaclav.ovsik@i.cz>, Nico Schottelius <nico-debian-pkg-gpm-devel@schottelius.org>, control@bugs.debian.org
Subject: Re: Bug#470882: /dev/gpmctl freezes acknowledge
Date: Mon, 24 Nov 2008 01:29:17 +0100
clone 470882 -1
reassign -1 aalib
tags -1 - patch
retitle -1 aalib should check the value returned by Gpm_GetEvent()
thanks

Gerfried Fuchs, le Sat 22 Nov 2008 17:44:07 +0100, a écrit :
>  Not sure what other applications might be affected by it and should get
> addressed, too ...

aalib is affected too.

Reading the documentation of Gpm_GetEvent:

« It returns 1 on success, -1 on failure, and 0 after closing the connection. »

aalib doesn't properly check that.  It should and for instance call
gpm_uninit in that case.

Samuel




Disconnected #470882 from all other report(s). Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Mon, 24 Nov 2008 00:36:22 GMT) Full text and rfc822 format available.

Bug 470882 cloned as bug 506717. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Mon, 24 Nov 2008 00:36:23 GMT) Full text and rfc822 format available.

Bug reassigned from package `gpm' to `ncurses'. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Mon, 24 Nov 2008 00:36:24 GMT) Full text and rfc822 format available.

Changed Bug title to `ncurses should check the value returned by Gpm_GetEvent()' from `gpm freezes and makes other applications freeze/segfault'. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Mon, 24 Nov 2008 00:36:25 GMT) Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 29 Nov 2008 18:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#506717; Package ncurses. (Sun, 30 Nov 2008 01:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Sun, 30 Nov 2008 01:03:07 GMT) Full text and rfc822 format available.

Message #237 received at 506717@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 506717@bugs.debian.org
Cc: debian-release@bugs.debian.org, ben@decadent.org.uk
Subject: ncurses: diff for NMU version 5.6+20080830-1.1
Date: Sun, 30 Nov 2008 01:57:27 +0100
tags 506717 + patch pending
severity 506717 serious
thanks

Hi everyone,

actually, ncurses-using applications (e.g. aptitude) will crash without
this patch. As such this should be fixed in testing.
Attached is a proposed t-p-u upload.

Kind regards

T.


diff -u ncurses-5.6+20080830/debian/changelog ncurses-5.6+20080830/debian/changelog
--- ncurses-5.6+20080830/debian/changelog
+++ ncurses-5.6+20080830/debian/changelog
@@ -1,3 +1,12 @@
+ncurses (5.6+20080830-1.1) testing; urgency=low
+
+  * Non-maintainer upload for testing.
+  * Ensure that aalib checks the value returned by Gpm_GetEvent()
+    and only proceeds if value == 1. (Closes: #506717)
+  * Analysis and patch by Samual Thibault. Thanks!
+
+ -- Thomas Viehmann <tv@beamnet.de>  Sun, 30 Nov 2008 00:36:58 +0100
+
 ncurses (5.6+20080830-1) unstable; urgency=medium
 
   * Merging upstream version 5.6+20080830.
diff -u ncurses-5.6+20080830/debian/patches/00list ncurses-5.6+20080830/debian/patches/00list
--- ncurses-5.6+20080830/debian/patches/00list
+++ ncurses-5.6+20080830/debian/patches/00list
@@ -5,0 +6 @@
+06-check-gpm-getevent-return-values.dpatch
only in patch2:
unchanged:
--- ncurses-5.6+20080830.orig/debian/patches/06-check-gpm-getevent-return-values.dpatch
+++ ncurses-5.6+20080830/debian/patches/06-check-gpm-getevent-return-values.dpatch
@@ -0,0 +1,35 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+## 06-check-gpm-getevent-return-values.dpatch by Samuel Thibault
+##
+## DP: Check the return value of Gpm_GetEvent to prevent locking up
+## DP: when gpm is not available in X
+
+@DPATCH@
+
+--- a/ncurses/base/lib_mouse.c	2008-11-24 00:29:19.000000000 +0100
++++ b/ncurses/base/lib_mouse.c	2008-11-24 00:31:12.000000000 +0100
+@@ -651,7 +651,15 @@
+ 	    /* query server for event, return TRUE if we find one */
+ 	    Gpm_Event ev;
+ 
+-	    if (my_Gpm_GetEvent(&ev) == 1) {
++	    if (sp->_mouse_fd == -1)
++		break;
++
++	    switch (my_Gpm_GetEvent(&ev)) {
++	    case 0:
++		/* Connection closed, drop the mouse. */
++		sp->_mouse_fd = -1;
++		break;
++	    case 1:
+ 		/* there's only one mouse... */
+ 		eventp->id = NORMAL_EVENT;
+ 
+@@ -684,6 +692,7 @@
+ 		/* bump the next-free pointer into the circular list */
+ 		sp->_mouse_eventp = eventp = NEXT(eventp);
+ 		result = TRUE;
++		break;
+ 	    }
+ 	}
+ 	break;




Tags added: patch, pending Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Sun, 30 Nov 2008 01:03:09 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Sun, 30 Nov 2008 01:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#506717; Package ncurses. (Sun, 30 Nov 2008 01:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Sun, 30 Nov 2008 01:33:10 GMT) Full text and rfc822 format available.

Message #246 received at 506717@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 506717@bugs.debian.org
Subject: ncurses: diff for NMU version 5.6+20080830-1.1 fixes typo
Date: Sun, 30 Nov 2008 02:29:16 +0100
KiBi pointed out that the changelog entry misspelled Samuel's name.
Apologies.

diff -u ncurses-5.6+20080830/debian/changelog ncurses-5.6+20080830/debian/changelog
--- ncurses-5.6+20080830/debian/changelog
+++ ncurses-5.6+20080830/debian/changelog
@@ -1,3 +1,12 @@
+ncurses (5.6+20080830-1.1) testing; urgency=low
+
+  * Non-maintainer upload for testing.
+  * Ensure that aalib checks the value returned by Gpm_GetEvent()
+    and only proceeds if value == 1. (Closes: #506717)
+  * Analysis and patch by Samuel Thibault. Thanks!
+
+ -- Thomas Viehmann <tv@beamnet.de>  Sun, 30 Nov 2008 00:36:58 +0100
+
 ncurses (5.6+20080830-1) unstable; urgency=medium
 
   * Merging upstream version 5.6+20080830.
diff -u ncurses-5.6+20080830/debian/patches/00list ncurses-5.6+20080830/debian/patches/00list
--- ncurses-5.6+20080830/debian/patches/00list
+++ ncurses-5.6+20080830/debian/patches/00list
@@ -5,0 +6 @@
+06-check-gpm-getevent-return-values.dpatch
only in patch2:
unchanged:
--- ncurses-5.6+20080830.orig/debian/patches/06-check-gpm-getevent-return-values.dpatch
+++ ncurses-5.6+20080830/debian/patches/06-check-gpm-getevent-return-values.dpatch
@@ -0,0 +1,35 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+## 06-check-gpm-getevent-return-values.dpatch by Samuel Thibault
+##
+## DP: Check the return value of Gpm_GetEvent to prevent locking up
+## DP: when gpm is not available in X
+
+@DPATCH@
+
+--- a/ncurses/base/lib_mouse.c	2008-11-24 00:29:19.000000000 +0100
++++ b/ncurses/base/lib_mouse.c	2008-11-24 00:31:12.000000000 +0100
+@@ -651,7 +651,15 @@
+ 	    /* query server for event, return TRUE if we find one */
+ 	    Gpm_Event ev;
+ 
+-	    if (my_Gpm_GetEvent(&ev) == 1) {
++	    if (sp->_mouse_fd == -1)
++		break;
++
++	    switch (my_Gpm_GetEvent(&ev)) {
++	    case 0:
++		/* Connection closed, drop the mouse. */
++		sp->_mouse_fd = -1;
++		break;
++	    case 1:
+ 		/* there's only one mouse... */
+ 		eventp->id = NORMAL_EVENT;
+ 
+@@ -684,6 +692,7 @@
+ 		/* bump the next-free pointer into the circular list */
+ 		sp->_mouse_eventp = eventp = NEXT(eventp);
+ 		result = TRUE;
++		break;
+ 	    }
+ 	}
+ 	break;




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#506717; Package ncurses. (Sun, 30 Nov 2008 01:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Sun, 30 Nov 2008 01:42:02 GMT) Full text and rfc822 format available.

Message #251 received at 506717@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Thomas Viehmann <tv@beamnet.de>, 506717@bugs.debian.org
Cc: ben@decadent.org.uk, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#506717: ncurses: diff for NMU version 5.6+20080830-1.1
Date: Sat, 29 Nov 2008 20:37:50 -0500 (EST)
On Sun, 30 Nov 2008, Thomas Viehmann wrote:

> tags 506717 + patch pending
> severity 506717 serious
> thanks
>
> Hi everyone,
>
> actually, ncurses-using applications (e.g. aptitude) will crash without
> this patch. As such this should be fixed in testing.
> Attached is a proposed t-p-u upload.
...
> diff -u ncurses-5.6+20080830/debian/patches/00list ncurses-5.6+20080830/debian/patches/00list
...
> +--- a/ncurses/base/lib_mouse.c	2008-11-24 00:29:19.000000000 +0100
> ++++ b/ncurses/base/lib_mouse.c	2008-11-24 00:31:12.000000000 +0100
> +@@ -651,7 +651,15 @@
> + 	    /* query server for event, return TRUE if we find one */
> + 	    Gpm_Event ev;
> +
> +-	    if (my_Gpm_GetEvent(&ev) == 1) {
> ++	    if (sp->_mouse_fd == -1)

rather than a break _here_, making it like _this_ seems better:

            if (sp->_mouse_fd >= 0) {

... and leaving the break after the chunk that's protected.

> ++		break;
> ++
> ++	    switch (my_Gpm_GetEvent(&ev)) {

but this can return -1, 0 or 1.

(even if we don't want to close the connection, we probably want to
ignore the resulting data on a -1).

> ++	    case 0:
> ++		/* Connection closed, drop the mouse. */
> ++		sp->_mouse_fd = -1;
> ++		break;
> ++	    case 1:
> + 		/* there's only one mouse... */
> + 		eventp->id = NORMAL_EVENT;
> +
> +@@ -684,6 +692,7 @@
> + 		/* bump the next-free pointer into the circular list */
> + 		sp->_mouse_eventp = eventp = NEXT(eventp);
> + 		result = TRUE;
> ++		break;
> + 	    }
> + 	}
> + 	break;

with that, the diff would look something like

--- lib_mouse.c.orig    2008-11-22 19:11:46.000000000 -0500
+++ lib_mouse.c 2008-11-29 20:37:27.000000000 -0500
@@ -694,11 +694,16 @@

 #if USE_GPM_SUPPORT
     case M_GPM:
-       {
+       if (sp->_mouse_fd >= 0) {
            /* query server for event, return TRUE if we find one */
            Gpm_Event ev;

-           if (my_Gpm_GetEvent(&ev) == 1) {
+           switch (my_Gpm_GetEvent(&ev)) {
+           case 0:
+               /* Connection closed, drop the mouse. */
+               sp->_mouse_fd = -1;
+               break;
+           case 1:
                /* there's only one mouse... */
                eventp->id = NORMAL_EVENT;

@@ -731,6 +736,7 @@
                /* bump the next-free pointer into the circular list */
                sp->_mouse_eventp = eventp = NEXT(eventp);
                result = TRUE;
+               break;
            }
        }
        break;


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 30 Nov 2008 03:33:05 GMT) Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <rhonda@debian.at>:
Bug acknowledged by developer. (Sun, 30 Nov 2008 03:33:06 GMT) Full text and rfc822 format available.

Message #256 received at 506717-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 506717-close@bugs.debian.org
Subject: Bug#506717: fixed in ncurses 5.6+20080830-2
Date: Sun, 30 Nov 2008 03:17:06 +0000
Source: ncurses
Source-Version: 5.6+20080830-2

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.6+20080830-2_i386.deb
lib64ncurses5_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.6+20080830-2_i386.deb
libncurses5-dbg_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.6+20080830-2_i386.deb
libncurses5-dev_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.6+20080830-2_i386.deb
libncurses5_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/libncurses5_5.6+20080830-2_i386.deb
libncursesw5-dbg_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.6+20080830-2_i386.deb
libncursesw5-dev_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.6+20080830-2_i386.deb
libncursesw5_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.6+20080830-2_i386.deb
ncurses-base_5.6+20080830-2_all.deb
  to pool/main/n/ncurses/ncurses-base_5.6+20080830-2_all.deb
ncurses-bin_5.6+20080830-2_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.6+20080830-2_i386.deb
ncurses-term_5.6+20080830-2_all.deb
  to pool/main/n/ncurses/ncurses-term_5.6+20080830-2_all.deb
ncurses_5.6+20080830-2.diff.gz
  to pool/main/n/ncurses/ncurses_5.6+20080830-2.diff.gz
ncurses_5.6+20080830-2.dsc
  to pool/main/n/ncurses/ncurses_5.6+20080830-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Nov 2008 03:37:00 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source i386 all
Version: 5.6+20080830-2
Distribution: testing
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 506717
Changes: 
 ncurses (5.6+20080830-2) testing; urgency=low
 .
   * Adding patch from Samuel Thibault to ensure that aalib checks the
     value returned by Gpm_GetEvent() and only proceeds if value == 1
     (Closes: #506717).
Checksums-Sha1: 
 415404c17d72c7738a55a6b3399ec132940dea33 1503 ncurses_5.6+20080830-2.dsc
 0382dd076deace70f50b67df61a48f6960ef3d2d 2482124 ncurses_5.6+20080830.orig.tar.gz
 13d0675a9376eaf807c0674b8a7c0abbe5e97851 39690 ncurses_5.6+20080830-2.diff.gz
 8eb78cae3908634c5461e6404be63096761ddd4a 333990 libncurses5_5.6+20080830-2_i386.deb
 6a826b3665e112eb19bccbb48f48c1292d31ceb5 1524544 libncurses5-dev_5.6+20080830-2_i386.deb
 792e5f9dc80f4ff82ba168a8757379ef75f58003 1637686 libncurses5-dbg_5.6+20080830-2_i386.deb
 7b714b3760f42bce5201c5d4269aeb6757cb211a 355632 libncursesw5_5.6+20080830-2_i386.deb
 60c51b0639ba5d3174757adbb14a72646b8dfc56 474104 libncursesw5-dev_5.6+20080830-2_i386.deb
 4fd11cabfb49fe93ac475eda400017da8e160821 1849500 libncursesw5-dbg_5.6+20080830-2_i386.deb
 36f282c552863fe0f56276a5d2abd417a6ab235b 346934 lib64ncurses5_5.6+20080830-2_i386.deb
 2b4edcac8d17ed1babb3517b92db10b8a52778dd 413600 lib64ncurses5-dev_5.6+20080830-2_i386.deb
 d83b30921b7267c1fb472f7719659e15f604df91 136192 ncurses-bin_5.6+20080830-2_i386.deb
 7d51b63299cdfc3cc579057995404c41b2a35f27 14076 ncurses-base_5.6+20080830-2_all.deb
 2bf499a7eb702525c9720ebce166b4a7edac32ff 347154 ncurses-term_5.6+20080830-2_all.deb
Checksums-Sha256: 
 cd6076eb5161f512c6588dac207cac1b6bb8b1f10e6b85e05a7ac98be13a8fa4 1503 ncurses_5.6+20080830-2.dsc
 ea020bb8e25a27a21e89ddbbcaf240f6eebeffc30a89dedb0fb98c933f7a15a1 2482124 ncurses_5.6+20080830.orig.tar.gz
 98461aba6e09bf1ff6e2ac8c62a1911c4fd1e5cd05d2e81f95cd4ba3ebaa2858 39690 ncurses_5.6+20080830-2.diff.gz
 f9b90b7b2144ab54b6acd7e07a63c40957270ea10fd8bd6a4614557f41432d84 333990 libncurses5_5.6+20080830-2_i386.deb
 b8508a86af9b7b2adfc0c625f3c8f4ba64f3c1e47b8c93852480ee387d723240 1524544 libncurses5-dev_5.6+20080830-2_i386.deb
 1833b519217180a289c3f4bc84a823256840bbcbbbfc4e353060d9b4f18956c5 1637686 libncurses5-dbg_5.6+20080830-2_i386.deb
 4eaf52916de44b0e9610ebd5f7cb7f1f575bc0c8ecb4e5697580b854a9167d97 355632 libncursesw5_5.6+20080830-2_i386.deb
 bc5eed8e8bc5fbbfe168acd058b248841c3fbcbc6abd01e2030c80766d241ac7 474104 libncursesw5-dev_5.6+20080830-2_i386.deb
 bfd4380304dc5a6ca7411bfe4c819d6e3a89ede2e71d10c703aeb17db72bf3b5 1849500 libncursesw5-dbg_5.6+20080830-2_i386.deb
 30bec7ce14ee4bfda3e644ceea43f66a63a66ebf62d68f49aaaf2e14dc1918e3 346934 lib64ncurses5_5.6+20080830-2_i386.deb
 9197a7ff60a372f5e07856adde8f5fd2685a186b8dc3925da75b2b24609a8185 413600 lib64ncurses5-dev_5.6+20080830-2_i386.deb
 4b7c5001b9752735cefc1fda83e1d4476bf313cd190ba885e3118a741156f2b1 136192 ncurses-bin_5.6+20080830-2_i386.deb
 d749ee9ebc913a8af75958ac0cf1f639c8bd7de96d122c48d6f90f81775e4e33 14076 ncurses-base_5.6+20080830-2_all.deb
 3b9fa17e076c5bf12b2717326f584693a0bb0be16e89fc3d58d7bae31834f714 347154 ncurses-term_5.6+20080830-2_all.deb
Files: 
 11de9d700776a1dcd4ed4478ca7c7f51 1503 libs standard ncurses_5.6+20080830-2.dsc
 42ec46e967532c3427bea9252140b685 2482124 libs standard ncurses_5.6+20080830.orig.tar.gz
 67a6a451202dca7866200cdb0e9e8033 39690 libs standard ncurses_5.6+20080830-2.diff.gz
 f78a9a62b10bd2851520fbc0f899edde 333990 libs required libncurses5_5.6+20080830-2_i386.deb
 094a3a6f4aa7c32c8a4bae4492bb69af 1524544 libdevel optional libncurses5-dev_5.6+20080830-2_i386.deb
 c9fe3a9b52789ecfb5c9c60f3114b855 1637686 libdevel extra libncurses5-dbg_5.6+20080830-2_i386.deb
 b1d36210fe4a4fbc54ac10b9d9ee329f 355632 libs important libncursesw5_5.6+20080830-2_i386.deb
 16e09d319eaf8aa90c2fda786401673a 474104 libdevel optional libncursesw5-dev_5.6+20080830-2_i386.deb
 c38dc8cb8c538ed8f1b20762a7b77bb3 1849500 libdevel extra libncursesw5-dbg_5.6+20080830-2_i386.deb
 6ca1a9f316e75f04784de4f8e999339b 346934 libs optional lib64ncurses5_5.6+20080830-2_i386.deb
 131672ef5cceb7bc8e0337899378c971 413600 libdevel optional lib64ncurses5-dev_5.6+20080830-2_i386.deb
 f1054794f59bdeae58c131b13de58126 136192 utils required ncurses-bin_5.6+20080830-2_i386.deb
 a8b58948ba97a6e82c790d9872a4cf83 14076 utils required ncurses-base_5.6+20080830-2_all.deb
 272422668b1f6be73cffcf94539337f8 347154 admin standard ncurses-term_5.6+20080830-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkyAcEACgkQ+C5cwEsrK54Z9QCgoFWRI3Y0rcSHVUYG+8ZnW6ZK
NwsAoN0HFaxoYiPMb5wVF2QQZrSmFREL
=20ug
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 30 Nov 2008 04:03:03 GMT) Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <rhonda@debian.at>:
Bug acknowledged by developer. (Sun, 30 Nov 2008 04:03:03 GMT) Full text and rfc822 format available.

Message #261 received at 506717-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 506717-close@bugs.debian.org
Subject: Bug#506717: fixed in ncurses 5.7+20081122-2
Date: Sun, 30 Nov 2008 03:47:04 +0000
Source: ncurses
Source-Version: 5.7+20081122-2

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.7+20081122-2_i386.deb
lib64ncurses5_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.7+20081122-2_i386.deb
libncurses5-dbg_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.7+20081122-2_i386.deb
libncurses5-dev_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.7+20081122-2_i386.deb
libncurses5_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/libncurses5_5.7+20081122-2_i386.deb
libncursesw5-dbg_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.7+20081122-2_i386.deb
libncursesw5-dev_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.7+20081122-2_i386.deb
libncursesw5_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.7+20081122-2_i386.deb
ncurses-base_5.7+20081122-2_all.deb
  to pool/main/n/ncurses/ncurses-base_5.7+20081122-2_all.deb
ncurses-bin_5.7+20081122-2_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.7+20081122-2_i386.deb
ncurses-term_5.7+20081122-2_all.deb
  to pool/main/n/ncurses/ncurses-term_5.7+20081122-2_all.deb
ncurses_5.7+20081122-2.diff.gz
  to pool/main/n/ncurses/ncurses_5.7+20081122-2.diff.gz
ncurses_5.7+20081122-2.dsc
  to pool/main/n/ncurses/ncurses_5.7+20081122-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Nov 2008 03:43:00 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source i386 all
Version: 5.7+20081122-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 506717
Changes: 
 ncurses (5.7+20081122-2) unstable; urgency=low
 .
   * Adding patch from Samuel Thibault to ensure that aalib checks the
     value returned by Gpm_GetEvent() and only proceeds if value == 1
     (Closes: #506717).
Checksums-Sha1: 
 7628c85d7e838201ab0422bd3731266eb6e4325a 1517 ncurses_5.7+20081122-2.dsc
 7ecc04a0bba57fea849409302a63154a4c836757 40036 ncurses_5.7+20081122-2.diff.gz
 f2578bc53389106771db6c7fed332b36a6d6fa30 336392 libncurses5_5.7+20081122-2_i386.deb
 1e00d73def7d1d12be8387bc330152dd686c9005 1544460 libncurses5-dev_5.7+20081122-2_i386.deb
 876faa2529fbb9feb9fe9f77b9158ec45b078e42 1802718 libncurses5-dbg_5.7+20081122-2_i386.deb
 12f9dfbcc4c6a06045736d1683f576e4f341403e 359020 libncursesw5_5.7+20081122-2_i386.deb
 609f15e2ac59a336023de631d15963e1fd0e83ae 477390 libncursesw5-dev_5.7+20081122-2_i386.deb
 8345093d8d960678ee841490019830057170d50b 2017126 libncursesw5-dbg_5.7+20081122-2_i386.deb
 50ef90b5a37a4d93a3e36587ce6c340458677e1a 349676 lib64ncurses5_5.7+20081122-2_i386.deb
 5ddc94fed615d42d14378b1575008f757427d7f3 416240 lib64ncurses5-dev_5.7+20081122-2_i386.deb
 099547961ee85f728f39140f8508d0bf70e2133d 304198 ncurses-bin_5.7+20081122-2_i386.deb
 156ae865b65fd4cc0e8d595cf48e14cd186c84ad 176660 ncurses-base_5.7+20081122-2_all.deb
 0ae01b2515309b5439312d5db04d16f575a3ba32 551114 ncurses-term_5.7+20081122-2_all.deb
Checksums-Sha256: 
 0bc29e34bf07547bfc984fd7cd7a78aae943c28a38de03d61882917f37096c8c 1517 ncurses_5.7+20081122-2.dsc
 16588a95c09481f8b0e58cacaaeef587f35364ebbe804221b249c91ba7f7be2f 40036 ncurses_5.7+20081122-2.diff.gz
 f991ab5507abd87b7c358b9f32cec064a3ffc55715fbaa84949eec60d1f5c3f3 336392 libncurses5_5.7+20081122-2_i386.deb
 17c53fa38c27c87cf150e0e3371bfcd5c18c282b72dbd988c3de348889a0f68f 1544460 libncurses5-dev_5.7+20081122-2_i386.deb
 185821dbde6d8bbda268b0e8b458cd6ff699955d24c9d38b4255e27984f11df3 1802718 libncurses5-dbg_5.7+20081122-2_i386.deb
 169c47d52d0493dd8ec0671efad2da8593009336f1f6f0de8d1d97a4b049bef2 359020 libncursesw5_5.7+20081122-2_i386.deb
 af34e9cbf56182478b3025770fbf6469a6a24d603703398fdc79cde5f028e983 477390 libncursesw5-dev_5.7+20081122-2_i386.deb
 55c5b01fa14f165c1523b98a6790abc92c279bf5c1571681182929f8671650d8 2017126 libncursesw5-dbg_5.7+20081122-2_i386.deb
 06633cf65fb3bf2c6ba17c771d9c6c601ee33e7de0f064d960ae04a8d43f1004 349676 lib64ncurses5_5.7+20081122-2_i386.deb
 d559291e5abbc65c2dd8629f2f4f8826f72d81db19928142cc509b21f4381105 416240 lib64ncurses5-dev_5.7+20081122-2_i386.deb
 fdcf1376f6a356dae6a58da0bfa15f7e04e800697bd7a19e4c9cf02edd106a5e 304198 ncurses-bin_5.7+20081122-2_i386.deb
 97a1c02a0cf38107ef685e55cfa945f7b27f73d35d1ab14c2109ee5d63c21c10 176660 ncurses-base_5.7+20081122-2_all.deb
 ed8fb42b9b433296c67d3072aaf2a04c1fbcb974f47f2786d70a45be1ab44a2e 551114 ncurses-term_5.7+20081122-2_all.deb
Files: 
 b6b8ec6eba55d749dff8c5526c811845 1517 libs standard ncurses_5.7+20081122-2.dsc
 fd7970ba8b29ce8b5c7ad34fcadb8390 40036 libs standard ncurses_5.7+20081122-2.diff.gz
 264b31b7965483aa1e843abc4e974f72 336392 libs required libncurses5_5.7+20081122-2_i386.deb
 d7d83e7327b6262ee606db85244e385b 1544460 libdevel optional libncurses5-dev_5.7+20081122-2_i386.deb
 fddecfce5c24a28927ad099027a2b3b9 1802718 libdevel extra libncurses5-dbg_5.7+20081122-2_i386.deb
 646080a24c97216a00995285ed67e87a 359020 libs important libncursesw5_5.7+20081122-2_i386.deb
 218d176dbef9c8a058d3ea46508fb445 477390 libdevel optional libncursesw5-dev_5.7+20081122-2_i386.deb
 95ec51c0417aca1cce6069500ebb2524 2017126 libdevel extra libncursesw5-dbg_5.7+20081122-2_i386.deb
 55c849f795650734e3ebc2b6ab83a8b7 349676 libs optional lib64ncurses5_5.7+20081122-2_i386.deb
 0ac923897ce601f55a6fe04fbbc7a124 416240 libdevel optional lib64ncurses5-dev_5.7+20081122-2_i386.deb
 2e1b672311e3373766afe0d03b18eb3e 304198 utils required ncurses-bin_5.7+20081122-2_i386.deb
 44b390614e4401832082c7216e00002b 176660 utils required ncurses-base_5.7+20081122-2_all.deb
 e3e61db7d9adcfb739af20a71f157114 551114 admin standard ncurses-term_5.7+20081122-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkyBn0ACgkQ+C5cwEsrK54opACfRhoIZoo0fj2cjH/0rT60DPr4
BOgAoMaLQ30caT8WDUng2QyghsuAh89B
=5wqc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 07:50:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:19:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.